1991-2006
Silicon Graphics, Inc.
glIsList
3G

# glIsList

determine if a name corresponds to a display list

## C Specification

                    GLboolean glIsList
                    GLuint list

## Parameters

`list`

  Specifies a potential display list name.

## Description

`glIsList` returns `GL_TRUE` if `list` is the name of a display list and returns `GL_FALSE` if it is not, or if an error occurs.

A name returned by glGenLists, but not yet associated with a display list by calling glNewList, is not the name of a display list.

## Errors

`GL_INVALID_OPERATION` is generated if `glIsList` is executed between the execution of glBegin and the corresponding execution of glEnd.

## See Also

glCallList, glCallLists, glDeleteLists, glGenLists, glNewList

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.